summaryrefslogtreecommitdiffstats
path: root/datarouter-node/src/main/resources/misc/havecert.tmpl
diff options
context:
space:
mode:
Diffstat (limited to 'datarouter-node/src/main/resources/misc/havecert.tmpl')
-rw-r--r--datarouter-node/src/main/resources/misc/havecert.tmpl11
1 files changed, 11 insertions, 0 deletions
diff --git a/datarouter-node/src/main/resources/misc/havecert.tmpl b/datarouter-node/src/main/resources/misc/havecert.tmpl
new file mode 100644
index 00000000..2e813ba3
--- /dev/null
+++ b/datarouter-node/src/main/resources/misc/havecert.tmpl
@@ -0,0 +1,11 @@
+#!/bin/bash
+cat <<!EOF
+TZ=GMT0
+cd /opt/app/datartr;
+if [ -f ${DRTR_NODE_KSTOREFILE:-etc/keystore} ]
+then
+ exit 0
+fi
+echo `date '+%F %T,000'` WARN Certificate file "${DRTR_NODE_KSTOREFILE:-etc/keystore}" is missing >>${DRTR_NODE_LOGS:-logs}/node.log
+exit 1
+!EOF